cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Krulewitz <>
Subject esql swallows connection errors?
Date Mon, 27 Sep 2004 15:33:19 GMT
Hey all --

I've been trying to figure out why my esql XSPs do not throw exceptions 
when the database is down, and it turns out the code is just swallowing 
them.  Around line 304 of 

you have:

try {
} catch (Exception _esql_exception_<xsl:value-of 
select="generate-id(.)"/>) {
    // do NOT: throw new RuntimeException("Error setting connection 

So if the connection fails, the exception is caught here but nothing 
happens because of it.  However, it appears there was once an exception 
getting thrown here but it has been commented out -- with a bit of 
documentation that indicates it was done for a reason.  Does anyone know 
why this is commented out?  I tried going back in time through the cvs 
repository, but couldn't find the esql logic sheet in any pre-2.0 places 
(probably because I didn't know exactly where to look).

Can I uncomment this, or is there a better way to get an exception 
thrown in this case?


View raw message